Skip to main content
GET
Read a database within its full organisation parent.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
databaseId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response

Authorised operation result.

id
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
orgId
string
required
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
name
string
required
Required string length: 1 - 255
state
enum<string>
required
Available options:
active,
creating,
maintenance,
deleting,
deleted,
failed
createdAt
string<date-time>
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

updatedAt
string<date-time>
required

UTC instant with mandatory Z and at most three fractional digits.

Pattern: ^(?!0000)\d{4}-\d{2}-\d{2}T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,3})?Z$
Example:

"2024-01-01T12:30:00.000Z"

description
string | null
Maximum string length: 4096